.loading-container {
  z-index: 10;
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-image: url('../../images/frontend/bg-sec6.png');
  background-position: center;
  background-size: cover;
  .loading-wrapper {
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    .loading-animate {
      width: 30vw;
      .loading-image img {
        width: 100%;
      }
      .loading-text {
        margin-top: 1vh;
        text-align: center;
        span {
          font-size: 5vw;
          color: $color-white;
          font-family: $Robot-Crush !important;
          text-shadow: 0 1px $color-red, 0 2px $color-red, 0 3px $color-red, 0 4px $color-red;
        }
      }
    }
  }
}

.loading-text {
  span {
    display: inline-block;
    margin: 0 -0.01em;
    animation: loading-text 1.5s infinite;
    @for $i from 1 through 9 {
      &:nth-child(#{$i + 1}) {
        animation-delay: #{$i * 0.1}s;
      }
    }
  }
}
@keyframes loading-text {
  0%,
  100% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(13px);
  }
}

@media screen and (max-width: 576px) {
  .loading-animate {
    width: 50vw !important;
  }
  .loading-text span {
    font-size: 7vw !important;
  }
}
